﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BendayObjectDataSource.FakeBusinessTier
{
    [Serializable]
    public class Person
    {
        /// <summary>
        /// Initializes a new instance of the Person class.
        /// </summary>
        public Person(int id, string firstName, string lastName, string emailAddress, string status, float salary, DateTime createdDate)
        {
            Id = id;
            FirstName = firstName;
            LastName = lastName;
            EmailAddress = emailAddress;
            Status = status;
            Salary = salary;
            CreatedDate = createdDate;
        }

        public Person()
        {

        }

        public int Id { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string EmailAddress { get; set; }
        public string Status { get; set; }
        public float Salary { get; set; }
        public DateTime CreatedDate { get; set; }
    }
}
