﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using BendayObjectDataSource.Common;
using BendayObjectDataSource.FakeBusinessTier;

namespace BendayObjectDataSource.WebUI.DataSources
{
    public class PersonDataSource : BendayDataSourceControl<Person>
    {
        public override string IdPropertyName
        {
            get { return "Id"; }
        }

        public override Person FindById(int id)
        {
            var match = (from p in this.DataSource
                         where p.Id == id
                         select p).FirstOrDefault();

            return match;
        }

        public override Person CreateNew()
        {
            return new Person();
        }
    }
}
