<%@ Page Title="" Language="C#" MasterPageFile="~/Site1.Master" AutoEventWireup="true" CodeBehind="PersonListAll.aspx.cs" Inherits="BendayObjectDataSource.WebUI.PersonListAll" %>
<%@ Register assembly="BendayObjectDataSource.WebUI" namespace="BendayObjectDataSource.WebUI.DataSources" tagprefix="cc1" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <link href="Stylesheet1.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>benday.com: Custom Object DataSource Sample</h2>
    
    <table style="width: 622px">
    <tr>
    <td>This sample uses a custom ASP.NET 
        <a href="http://msdn.microsoft.com/en-us/library/system.web.ui.datasourcecontrol.aspx" 
            target="_blank">DataSourceControl</a> and 
        <a href="http://msdn.microsoft.com/en-us/library/system.web.ui.datasourceview.aspx" 
            target="_blank">DataSourceView</a> that manipulates a collection of business objects.  
    Unlike the <a href="http://msdn.microsoft.com/en-us/library/9a4kyhcx.aspx" 
            target="_blank">ASP.NET ObjectDataSource</a>, this data source stores the business object collection in either ViewState or the ASP.NET Session.</td></tr>
    </table>
        
        <p></p>
        
    <asp:GridView ID="m_grid" runat="server" DataSourceID="m_dataSource" 
        AllowSorting="True" Width="670px" AllowPaging="True" PageSize="6" 
        BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" 
        CellPadding="3" DataKeyNames="Id" GridLines="Vertical" 
        onselectedindexchanged="m_grid_SelectedIndexChanged" 
        AutoGenerateSelectButton="True">
        <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
        <Columns>
            <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
        </Columns>
        <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
        <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Left" />
        <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
        <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="#DCDCDC" />
    </asp:GridView>
    
    <p>
    <h3>Detail View</h3>
    </p>
    <asp:DetailsView ID="m_detailView" runat="server" AllowPaging="True" 
        AutoGenerateEditButton="True" AutoGenerateInsertButton="True" BackColor="White" 
        BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" 
        DataKeyNames="Id" DataSourceID="m_dataSource" GridLines="Vertical" 
        Height="50px" Width="258px">
        <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
        <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
        <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Left" />
        <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
        <AlternatingRowStyle BackColor="#DCDCDC" />
    </asp:DetailsView>
    <p></p>
    <span style="font-size: small;">
                     <a href="http://www.benday.com">www.benday.com</a> | <a href="http://blog.benday.com">blog.benday.com</a>
                    </span>
                    
                    <cc1:PersonDataSource ID="m_dataSource" runat="server" 
        DataSourceSessionKeyName="DataSourceSessionKey" 
        DataSourceStorageLocation="Session">
    </cc1:PersonDataSource>
</asp:Content>
